#!/bin/bash

set -x
if true; then
export ROCR_VISIBLE_DEVICES="$SLURM_LOCALID"
export MPICH_GPU_SUPPORT_ENABLED=1

physcores=(49-55 57-63 17-23 25-31 1-7 9-15 33-39 41-47)
threads=(7 7 7 7 7 7 7 7)

#physcores=(48-55 56-63 16-23 24-31 1-7 8-15 32-39 40-47)
#threads=(8 8 8 8 7 8 8 8)

export OMP_NUM_THREADS=${threads[$SLURM_LOCALID]}
export OMP_DISPLAY_AFFINITY=true
export CRAY_OMP_CHECK_AFFINITY=TRUE
export OMP_PROC_BIND=close
export OMP_PLACES=cores

export MPICH_OFI_NIC_POLICY=GPU
export MPICH_OFI_NIC_VERBOSE=2

#numactl -l --all --physcpubind=${physcores[$SLURM_LOCALID]} -- ./IMB-MPI1 $*
#-msglog 29:29 -warm_up on -npmin 8 -zero_size off -iter 10 -iter_policy off -map 1x4 -multi 1 pingpong

numactl -l --all --physcpubind=${physcores[$SLURM_LOCALID]} -- ./lumi-g-test
#numactl -l --all --physcpubind=${physcores[$SLURM_LOCALID]} -- gdb -batch -x gdb.cmd ./lumi-g-test
else
export ROCR_VISIBLE_DEVICES="$SLURM_LOCALID"
./lumi-g-test
fi
